Slyweb
На разработку сайта! Скидки 50%!

Особенности компонента "Яндекс карты" для Joomla 3.0, 2.5 и 1.5!

  • Больше не требуются ключи!!!
  • Компонент "Яндекс карты" на jQuery
  • Изображение превью
  • Настройка компонента "Яндекс карты"
  • Настройка балуна!
  • Бесплатность!
  • Поддержка браузерами
  • Множество Яндекс карт
  • Простота в использовании
  • Гибкая настройка
  • Палагин для вывода в статьи
  • Калькулятор такси
  • Загрузка изображений

jQuery.

Комонент "Яндекс карты" послужит хорошим инструментом для разработчиков и пользователей CMS Joomla 1.5 и 2.5, 3.x при создании Яндекс карт на вашем сайте!

Настройка.

Существует огромное количество настроек компонента.

Простота и удобность!

Компонент "Яндекс карты" использует наиболее облегченные методы jQuery и базовые примеры карт Яндекс.

Полностью бесплатно!

Во всех случаях пользование Янекдс картами бесплатно!

Поддержка браузерами.

Комонент "Яндекс карты" поддерживается большинством браузеров - Internet Explorer 7 - 9, FireFox 3-4, Opera 8-10, Google Chrome.

Компонент написан в соответствие с правилами, указанными в официальном руководстве Joomla 2.5. и 1.5

Компонент поддерживает широкие настройки css

Скруглённые углы, цвет, рамка и др.

Плагин для вывода карт в статьи

С помощью плагина можно вставить карту в любое место в текст статьи.

Видео инструкция по работе с компонентом "Яндекс карты" для Joomla!

Поддержка браузерами

Компонент прошёл успешное тестирование в следующих браузерах:

  • Mozilla Firefox 3.5 +
  • Google Chrome (все версии)
  • Internet Explorer 7, Internet Explorer 8, Internet Explorer 9
  • Opera 11
  • Yandex
  • Safari

Установка компонента для Joomla "Яндекс карты"

Установите GYmap!

GYmap - Google и Yandex карты в одном компоненте. ссылка для скачивания GYmap

Обновление с устаревших версий на новые не поддерживается!

Для установки более новой версии компонента обязательно удалите прежнюю!

Cкачайте архив

Архив для скачивания. Компонент "Яндекс карты".

Всего скачиваний - 8558

Будьте внимательны при скачивании - не перепутайте версии! Каждой версии компонента подходит определённый плагин.



Для тех у кого Joomla 1.5

Работает только с php до версии 5.4


Устаревшие версии компонента

Последнии версии на Github

https://github.com/eap1985/

Для тех у кого Joomla 1.5

Internet Explorer 8.0 и используемая в этой версиии библиотека mootools не совместимы с яндекс картами! Как следствие ошибка (Object dosn`t suppot this property or method)
Вам помжет следющее:
Вставьте перед заголовком <jdoc:include type="head" /> в joomla шабоне (он располагаетя в фале /templates/имя шаблона/index.php) следующий код:
<?php

  $headerstuff = $this->getHeadData();

  $key[0] = JURI::root( true ) . '/media/system/js/mootools.js';
  $key[1] = JURI::root( true ) . '/media/system/js/caption.js';
  foreach($key as $val) {	
	unset( $headerstuff['scripts'][$val] );
  }
  $headerstuff['scripts']['//ajax.googleapis.com/ajax/libs/mootools/1.4.5/mootools-yui-compressed.js']='text/javascript';

  $this->setHeadData( $headerstuff );

?>
обязательно до строк:
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>
Будьте осторожны, если в вашем шаблоне используются скрпиты на mootools, они могут быть не совместимы с библиотекой 1.4.5!

Установите компонент

Для этого зайдите в админ панель Joomla, найдите менеджер расширений и вкладка установка, выберите загруженный архив и нажмите "загрузить"!

Создание Яндекс карт

После установки в меню "компоненты" появится пункт "Яндекс карты". Зайдите в это меню в нём находятся два базовых примера Яндекс карт! Вы можете использовать их, либо удалить и создать новые янекдс карты, используя вкладку "Создать карты"!

Для создания Яндекс карт ключ более не требуется.

Подключение Карты в меню

Подключение компонента происходит так же как и для большинства компонентов, статей и др. материалов в меню админ. панели Joomla. См. рис. № 2.

Аккаунт для вебразработчика! Аккаунт для вебразработчика!
рис. 1,рис. 2

Настройки комонента "Яндекс карты"

Основные настройки компонента(рис. № 1):

Зачем нужен плагин "Яндекс карты!"

С помощью плагина можно поместить карты в любое место статьи, с помощью разметки {mapyandex_id=ваш id}. Начиная с версии 2.5 появилась возможность создавать калькуляторы такси, доставки, в которых при клике по карте будут отмечены пункты, рассчитаны расстояние и цена!

Лицензия

Компонента распространяется на условиях лицензии creativecommons.org

Форум Компонента "Яндекс карты"

Вопросы интеграции, установки, компонента "Яндекс карты" 1.1 Вы можете обсудить на форуме (phpBB), в специально отведенной теме, по адресу slyweb.ru/forum/.

Для связи

Все пожелания можно оставлять на форуме (phpBB), в специально отведенной теме по адресу slyweb.ru/forum/ или пишите на email.

Новые версии Компонента "Яндекс карты"

1.0

  • Создание карт
  • Создане меток
  • Настройка стиля карты

1.1

  • Добавлена возможность использовать изображения в описании метки на карте
  • Устранена ошибка, связанная с переводом строки в метке
  • Метка поддерживает все символы

2.0

  • Добавление маршрутов
  • Выбор метки или балуна
  • Выбор центрирования карты
  • Задание пунктов
  • Настройка цвета маршрута
  • Добавлена система обновления
  • Выбор стиля меток
  • Перетаскиваемость меток
  • Не требуются ключи от Яндекс
  • Добавлена поддержака для PHP 5.4 и 5.5
  • Для PHP 5.4 и 5.5 устранена ошибка Fatal error: Call-time pass-by-reference has been removed in .../plugins/content/mapyandex/mapyandex.php on line 52

2.5

  • Будет добавлена возможность создавать на карте полигоны
  • Добавятся новые иконки в параметры меток
  • Будет добавлена возможность загружать собственные рисунки
  • Будет добавлена возможность рисовать полигоны и линии
  • Будет добавлена возможность создавать многочисленные маршруты
  • Будет улучшена кроссбраузерность

2.6

  • Добавлена поддержака для PHP 5.4 и 5.5
  • Для PHP 5.4 и 5.5 устранена ошибка Fatal error: Call-time pass-by-reference has been removed in .../plugins/content/mapyandex/mapyandex.php on line 52

2.7

  • Убраны предупреждения Strict Standards для PHP 5.4 и 5.5

2.8

  • Исправлен баг с отображением карты в диалоговом окне

3.0

  • Поддержка Joomla 3.0
  • Будет улучшена кроссбраузерность
  • Упрощенный метод добавления меток на карту

Все ошибки связанные с Internet Explorer 8.0 и 7.0

Все ошибки связанные с Internet Explorer 8.0 и 7.0 (отсутствие элементов управления, отображение только центра Москвы как простого изображение и т.д.) связаны с конфликтом библиотек jQuery и Mootools. По возможности они были устранены в Yandex Api 2.0.10. Если Вы до сих пор их видите, значит у Вас старая версия компонента (раньше 10.09.2012 года).
Возможно Вам помжет следющее: Работа компонента проверена на 99%. Если какой-то баг - 100% это конфликт разных javascript библиотек, например jQuery и Mootools. Необходимо ко всем строкам в коде страницы похожих на следующую:
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js" type="text/javascript"></script>
добавить код:
<script type="text/javascript">jQuery.noConflict();</script>
Чтобы было так:
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript">jQuery.noConflict();</script>
Если это не помогло, нужно заменить в старых версиях (те, что ранее 10.09.2012):
http://api-maps.yandex.ru/2.0/.......
на
http://api-maps.yandex.ru/2.0.10........
Александр Ермаков. Хостинг - www.pwstudio.org